<?php
// =============================== My Post Cycle widget ======================================
class MY_CycleWidget extends WP_Widget {
    /** constructor */
    function MY_CycleWidget() {
        parent::WP_Widget(false, $name = 'My - Post Cycle');	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
        $title = apply_filters('widget_title', $instance['title']);
				$limit = apply_filters('widget_title', $instance['limit']);
				$category = apply_filters('widget_category', $instance['category']);
				$count = apply_filters('widget_count', $instance['count']);
        ?>
              <?php echo $before_widget; ?>
                  <?php if ( $title )
                        echo $before_title . $title . $after_title; ?>
						
						<?php if($category=="testi"){?>
							<ul class="testimonials">
								
								<?php $limittext = $limit;?>
								<?php global $more;	$more = 0;?>
								<?php query_posts("posts_per_page=". $count ."&post_type=" . $category);?>
								
								<?php while (have_posts()) : the_post(); ?>	
								
									<?php 
									$custom = get_post_custom($post->ID);
									$testiname = $custom["testimonial-name"][0];
									$testiurl = $custom["testimonial-url"][0];
									?>
								
								<li class="testi_item">

								<?php if($limittext=="" || $limittext==0){ ?>
									<blockquote class="quote">
										<?php the_excerpt(); ?>
                  </blockquote>
									 <div class="name-testi">
									 <span class="user"><?php echo $testiname; ?></span>,
									 <a href="http://<?php echo $testiurl; ?>"><?php echo $testiurl; ?></a>
									 </div>
								<?php }else{ ?>
									<blockquote class="quote">
										<?php $excerpt = get_the_excerpt(); echo my_string_limit_words($excerpt,$limittext);?>
                  </blockquote>
									 <div class="name-testi">
									 <span class="user"><?php echo $testiname; ?></span>,
                   <a href="http://<?php echo $testiurl; ?>"><?php echo $testiurl; ?></a>
			    </div>
								<?php } ?>
								</li>
								<?php endwhile; ?>
                <?php wp_reset_query(); ?>
							</ul>
							<!-- end of testimonials -->
            
            
						<?php } elseif($category=="ban"){ ?>
						
							<ul class="ban_cycle">
								<?php $limittext = $limit;?>
                <?php global $more;	$more = 0; $i=1;?>
                <?php query_posts("posts_per_page=". $count ."&post_type=" . $category . "&portfoliocat=" . $slug);?>
                <?php while (have_posts()) : the_post(); ?>
			 
			 <?php 
			$custom = get_post_custom($post->ID);
			$ban_letter = $custom["letter"][0];
			?>
			 	
			 <?php  if(($i%1) == 0){ $addclass = "color1";	} ?>
			 <?php  if(($i%2) == 0){ $addclass = "color2";	} ?>
			 <?php  if(($i%3) == 0){ $addclass = "color3";	} ?>
			 <?php  if(($i%4) == 0){ $addclass = "color4";	} ?>
			 <?php  if(($i%5) == 0){ $addclass = "nomargin color5";	} ?>
                <li class="ban_item <?php echo $addclass; ?>">
			   <div class="ban-top">	
				   <div class="ban-bot">
				   	<?php if($limittext=="" || $limittext==0){ ?>
					   <h2><?php the_title(); ?></h2>
					   <strong class="letter"><?php echo $ban_letter; ?></strong>
					   <p><?php $excerpt = get_the_excerpt(); echo my_string_limit_words($excerpt,10); ?></p>
					   <a href="<?php the_permalink(); ?>" class="link">read more </a>
				   <?php }else{ ?>
					   <h2><?php the_title(); ?></h2>
					   <strong class="letter"><?php echo $ban_letter; ?></strong>
					   <p><?php $excerpt = get_the_excerpt(); echo my_string_limit_words($excerpt,$limittext); ?></p>
					   <a href="<?php the_permalink(); ?>" class="link">read more </a>
				   <?php } ?>
				   </div>
			   </div>	   
                </li>
                <?php $i++; $addclass = ""; endwhile;  ?>
                <?php wp_reset_query(); ?>
              </ul>
              <!-- end of ban_cycle -->
            
						<?php } else { ?>
						
							<ul class="post_cycle">
								
								<?php $limittext = $limit;?>
								<?php global $more;	$more = 0;?>
								<?php query_posts("posts_per_page=" . $count . "&post_type=" . $category . "&portfoliocat=" . $slug);?>
								<?php while (have_posts()) : the_post(); ?>	
								<li class="cycle_item">
									<?php if($limittext=="" || $limittext==0){ ?>
                  <a href="<?php the_permalink(); ?>" class="post-date"><time datetime="<?php the_time('Y-m-d\TH:i'); ?>"><?php the_time('d.m.y'); ?></time></a>
									<p><?php $excerpt = get_the_excerpt(); echo my_string_limit_words($excerpt,12); ?></p>
									<?php }else{ ?>
                  <a href="<?php the_permalink(); ?>" class="post-date"><time datetime="<?php the_time('Y-m-d\TH:i'); ?>"><?php the_time('d.m.y'); ?></time></a>
									<p><?php $excerpt = get_the_excerpt(); echo my_string_limit_words($excerpt,$limittext); ?></p>
									<?php } ?>
								</li>
								<?php endwhile; ?>
                <?php wp_reset_query(); ?>
							</ul>
							<!-- end of post_cycle -->
							<?php }?>
              <?php echo $after_widget; ?>
        <?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {				
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {				
			$title = esc_attr($instance['title']);
			$limit = esc_attr($instance['limit']);
			$category = esc_attr($instance['category']);
			$count = esc_attr($instance['count']);
    ?>
      <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'theme1275'); ?> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>

      <p><label for="<?php echo $this->get_field_id('limit'); ?>"><?php _e('Limit Text:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('limit'); ?>" name="<?php echo $this->get_field_name('limit'); ?>" type="text" value="<?php echo $limit; ?>" /></label></p>
      <p><label for="<?php echo $this->get_field_id('count'); ?>"><?php _e('Posts per page:'); ?><input class="widefat" style="width:30px; display:block; text-align:center" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" type="text" value="<?php echo $count; ?>" /></label></p>

      <p><label for="<?php echo $this->get_field_id('category'); ?>"><?php _e('Post Type:', 'theme1275'); ?><br />

      <select id="<?php echo $this->get_field_id('category'); ?>" name="<?php echo $this->get_field_name('category'); ?>" style="width:150px;" > 
      <option value="ban" <?php echo ($category === 'ban' ? ' selected="selected"' : ''); ?>>Banners</option>
      <option value="portfolio" <?php echo ($category === 'portfolio' ? ' selected="selected"' : ''); ?> >Services</option>
      <option value="" <?php echo ($category === '' ? ' selected="selected"' : ''); ?>>Blog</option>
      </select>
      </label></p>
      <?php 
    }

} // class Cycle Widget


?>