<?php
/*
 * Template Name: Contacts
 */

get_header(); ?>
<div id="full-width">
	<div id="content">
		<div class="inside">
			<h1 class="title"><?php the_title(); ?></h1>
  <div id="page-content">
  	<div class="wrapper">
    <div class="three_fifth">
      <?php if ( ! dynamic_sidebar( 'Contact Form' ) ) : ?>
        <!-- Widgetized Header -->
      <?php endif ?>
      <?php wp_reset_query(); ?>
    </div>
    <div class="two_fifth last">
      <?php if ( ! dynamic_sidebar( 'Address' ) ) : ?>
        <!-- Widgetized Header -->
      <?php endif ?>
      <?php wp_reset_query(); ?>
    </div>
  </div>
  <div class="hr alt"></div>
  <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
      <?php the_content(); ?>
  <?php endwhile; ?>
  </div>
		</div>
	</div><!--#content-->
</div>
<?php get_footer(); ?>
